GLSA 200803-29 ViewVC: Multiple vulnerabilities
Posted on: 03/20/2008 12:30 AM

A new security update has been released for Gentoo Linux - ViewVC: Multiple vulnerabilities. Here the announcement:

Gentoo Linux Security Advisory GLSA 200803-29
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: ViewVC: Multiple vulnerabilities
Date: March 19, 2008
Bugs: #212288
ID: 200803-29

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple security issues have been reported in ViewVC, which can be
exploited by malicious people to bypass certain security restrictions.

Background
==========

ViewVC is a browser interface for CVS and Subversion version control
repositories.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 www-apps/viewvc lt; 1.05 gt;= 1.05

Description
===========

Multiple unspecified errors were reportedly fixed by the ViewVC
development team.

Impact
======

A remote attacker could send a specially crafted URL to the server to
list CVS or SVN commits on "all-forbidden" files, access hidden CVSROOT
folders, and view restricted content via the revision view, the log
history, or the diff view.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All ViewVC users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose "gt;=www-apps/viewvc-1.05"

References
==========

[ 1 ] CVE-2008-1290
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1290
[ 2 ] CVE-2008-1291
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1291
[ 3 ] CVE-2008-1292
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1292

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-200803-29.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2008 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/glsa_200803_29_viewvc_multiple_vulnerabilities.html)